Api referenceTopics

Make a topic the default

Makes this the default category of messages in its namespace. Existing explicit subscription statuses remain unchanged.

POST
/v1/topics/{id}/default

Makes this the default category of messages in its namespace. Existing explicit subscription statuses remain unchanged.

x-api-key<token>

In: header

Path Parameters

id*string
Match^unsub_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/topics/string/default"
{  "id": "string",  "namespaceId": "string",  "name": "string",  "description": "string",  "default": "opt_out",  "isDefault": true,  "defaultSenderId": "string",  "replyMailboxId": "string",  "templateId": "string",  "archiveEnabled": true,  "publicationSlug": "string",  "subscriptions": {    "email": {      "subscribed": 0,      "unsubscribed": 0    }  },  "createdAt": "string",  "updatedAt": "string"}